/* You can add custom styles here. */

// @import "plugins/numbered";

body {
  // AJouté pour avoir les couleurs de fond des blocs et des titre 
  // avec firefox et chrome si on imprime dans un PDF
  color-adjust: exact;  
  -webkit-print-color-adjust: exact; 
  print-color-adjust: exact;
}

.book-page h1, .book-page h2, .book-page h3 {
    border-bottom-width: 2px;
    border-bottom-style: solid;
    border-top-width: 1px;
    border-top-style: solid;
    padding-top: .1em;
    padding-bottom: .1em;
    padding-left: .5em;
}
.book-page h1 {border-color: $col1; background-color: $col1-light}
.book-page h2 {border-color: $col2; background-color: $col2-light}
.book-page h3 {border-color: $col3; background-color: $col3-light}

// See _variables.css
// {{< hint >}}
.markdown {
  .book-hint {
    @each $name, $val in $more-hint-colors {
      $color: nth($val, 1);
      $icon: nth($val, 2);
      &.#{$name} {
        border-color: $color;
        background-color: rgba($color, 0.1);
      }
     &.#{$name}::before {
        font-weight: bold;
        color: navy;
        float: left;
        margin-right:.5em;
        margin-left:-.5em;
        content: $icon;
      }
    }
  }
}

details.file {
    background-color: $col4-light;
}


img[src$="#center"] { // Must end with center
  display: block;
  margin: 1.0rem auto;
  max-width: 100%;
  height: auto;
}

img[src*="#100"] {  // Must contain 050
    width: 100%;
   height: auto;
}

img[src*="#050"] {  // Must contain 050
    width: 50%;
   height: auto;
}

img[src*="#075"] {  // Must contain 075
    width: 75%;
   height: auto;
}

img[src*="#030"] {  // Must contain 030
   width: 30%;
   height: auto;
}

/* Menu Gauche en couleur */
.book-menu a.active {
  //color: green;
  background-color: #eee;
}
.book-menu nav li {
  color: black;
}
.book-menu nav > ul > li > a, 
.book-menu nav > ul > li > span {
  color:$col1;
  display:block;
  border-bottom: solid 1px;
}
.book-menu nav > ul > li > ul >li  {
  color:$col2;
}
.markdown  a:visited {
    color: var(--color-link);
}
